# grunt-joomla-install-extension
> Grunt extension to install software directly into Joomla!
This software requires that you have the R2H Joomla Console composer software installed and configured.

## Getting Started
This plugin requires Grunt `^1.0.0`

If you haven't used [Grunt](http://gruntjs.com/) before, be sure to check out the [Getting Started](http://gruntjs.com/getting-started) guide, as it explains how to create a [Gruntfile](http://gruntjs.com/sample-gruntfile) as well as install and use Grunt plugins. Once you're familiar with that process, you may install this plugin with this command:

```shell
npm install grunt-joomla-install-extension --save-dev
```

Once the plugin has been installed, it may be enabled inside your Gruntfile with this line of JavaScript:

```js
grunt.loadNpmTasks('grunt-joomla-install-extension');
```

## The "joomla_installextension" task

### Overview
In your project's Gruntfile, add a section named `joomla_installextension` to the data object passed into `grunt.initConfig()`.

```js
grunt.initConfig({
  joomla_installextension: {
    taskname: {
      options: {
        alias: '', // Joomla! installation alias
      },
      files: [{
        src: 'package.zip'
      }],
    },
  },
});
```

### Options

#### options.alias
Type: `String`
Default: ``

Enter the alias of the Joomla! installation that has been registered using the R2H Joomla! console. Leave the option
empty or use the value `default` to use the default installation path.

Example:
```js
joomla_installextension: {
  taskname: {
    options: {
      alias: 'my-alias',
    },
    ...
  },
},
```
