/**
 * grunt-joomla-install-extension
 * https://github.com/R2H-BV/grunt-joomla-install-extension
 *
 * Copyright © 2018 R2H Marketing & Internet Solutions
 * Licensed under the GNU/GPLv3 license.
 */

'use strict';

module.exports = grunt => {
    const { exec } = require('child_process');

    grunt.registerMultiTask('joomla_installextension', 'Grunt extension to install software to Joomla!', function () {
        const done = this.async();

        // Get the options.
        const options = this.options({
            alias: ''
        });

        this.files.forEach(f => {
            let path = process.cwd() + '/' + f.orig.src[0];

            // Execute the command per path provided.
            exec('joomlaconsole extension:install "' + path + '" ' + options.alias, (err, stdout, stderr) => {
                if (err) {
                    grunt.fail.warn(err);
                    return done(false);
                }

                grunt.log.writeln(stdout);
                done();
            });
        });
    });
};
